Description

If you enable the "Label this layer with ... " checkbox at the label dialog within the layer options, currently there is no field selected and the

user might forget about it, as he sees a "lorem ipsum" and might get confused as he expects this static string to be rendered first. To avoid

this behaviour, I recommend a few slightly changes:

    -  preselect the first layer data field (not lat/lon/alt)

    -  display a list of first 1..3 first items of this field as demo text

I also recommend to move the demo field down to the bottom of dialog, below the preferences frame. This might improve the workflow, as

it triggers the input-process-output methology. I also recommend to display a transparency pattern in the sample widget, to avoid the

interpretation as a regular edit-box with a white background and to allow the user to check style visibility on bright and dark background

at twice.

History

#1 - 2014-01-05 01:45 AM - Matthias Kuhn

How about the QgsVectorLayer.displayField() or QgsVectorLayer.displayExpression() as default?

#2 - 2014-01-05 02:20 AM - Richard Duivenvoorde

@noone noone are you aware of the ux mailinglist we created recently?

I added it to your usability wiki page:

https://issues.qgis.org/wiki/quantum-gis/Usability#Closed-steps

Would it not be better to discuss this a little on such list, and then come with a firm feature/dev request?

#3 - 2014-01-05 06:26 AM - Noone Noone

@Matthias I don't know about this widgets, but why not, if they are in use already :)  

Another idea would be to skip the checkbox but use the empty combobox to indicate that labeling is currently disabled.

@Richard Only because of your post, so I sended out an hello to the ML :) Thank you!

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

2025-12-15 1/1

http://www-personal.umich.edu/~bazald/l/faq/gimp_transparency.png
https://issues.qgis.org/wiki/quantum-gis/Usability#Closed-steps

